package com.tsi.monitoring.mapper.utis;

import com.tsi.monitoring.vo.*;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface UtisMapper {

    List<ProcessVo> getProcessInfo();
    List<ProcessStatusVo> getProcessCommState();
    List<SendRcvHistVo> getMolSendHistory(); //
    List<SendRcvHistVo> getRecIncdHistory();
    List<RcvIncdMoctVo> getPeriodRecIncdHistory(Map<String, Object> paramMap);
    List<SendRcvHistVo> getNtsRecHistory();
    List<SendRcvHistVo> getMocSendTrafficHistory();
    List<SendRcvHistVo> getMocRcvTrafficHistory();
    List<SendRcvHistVo> getMocPrivateRcvTrafficHistory();
    List<SendRcvHistVo> getPoliceOccurHistory();
    List<SendRcvHistVo> getProcessLinkedCountHistory();
    Long getCentralOccurCount();
    List<ProcessStatusVo> getProcessLinkInfo();
    List<ProcessStatusVo> getAllProcessLinkInfo();
    List<StatisticsVo> getRcvPoliceMoctTrafficHistory(); //국토부 민간 교통정보
    List<StatisticsVo> getSndPoliceTrafficHistory(); //국토부 교통 제공
    List<StatisticsVo> getRcvPoliceTrafficHistory(); //국토부 교통 수집
    List<StatisticsVo> getRcvIncidentHistory(); //도로 공사 돌발정보
    List<StatisticsVo> getSndMoctTrafficHistory(); //민간
    List<StatisticsVo> getRcvNtsTrafficHistory(); //NTS
    List<StatisticsVo> getRcvPoliceIncidentHistory();//경찰 돌발
    List<SendRcvHistVo> getPeriodRcvNtsStatistics(Map<String, Object> paramMap);
    List<SndMoctVo> getPeriodSndMoctStatistics(Map<String, Object> paramMap);
    List<SndMolitTraffVo> getPeriodSndMolitTraffStatistics(Map<String, Object> paramMap);
    List<SndMolitTraffVo> getPeriodRcvMolitTraffStatistics(Map<String, Object> paramMap);
    List<SndMolitTraffVo> getPeriodRcvMolitTraffHist(Map<String, Object> paramMap);
    List<SndMolitTraffVo> getPeriodRcvMoctTraffStatistics(Map<String, Object> paramMap);
    List<SndMolitTraffVo> getPeriodRcvMoctTraffHist(Map<String, Object> paramMap);
    List<TrafficWeightConfVo> getTrafficWeightInfos();
    int updateTrafficWeightInfo(TrafficWeightConfVo vo);
    List<SigCommStatisticsVo> getPeriodSigCommStatistics(Map<String, Object> paramMap);
    Integer getAnalysisType();
    int setUtisAnalysisType(String codeValue);
    int setDwAnalysisType(String codeValue);
    List<PeriodCenterRcvSendStatisticsVo> getPeriodCenterRcvSendStatistics(Map<String, Object> paramMap);
    List<CenterSendRecCountVo> getCenterSendRecCount(Map<String, Object> paramMap);
}
